# Uses of Enum Class
net.shibboleth.idp.plugin.authn.webauthn.storage.impl.StorageServiceCredentialRepositoryFactory.AcceleratorType

Packages that use StorageServiceCredentialRepositoryFactory.AcceleratorType
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.storage.impl
This package has storage implementations for WebAuthn.

## Uses of StorageServiceCredentialRepositoryFactory.AcceleratorType in net.shibboleth.idp.plugin.authn.webauthn.storage.impl

Fields in net.shibboleth.idp.plugin.authn.webauthn.storage.impl declared as StorageServiceCredentialRepositoryFactory.AcceleratorType
Modifier and Type
Field
Description
`private StorageServiceCredentialRepositoryFactory.AcceleratorType`
StorageServiceCredentialRepositoryFactory.`defaultAcceleratorType`
If the lookup strategies are not used, the jdbcAccelerator has been injected, then the default accelerator type will be injected into the `StrategyBasedIdPStorageServiceCredentialRepository`.
Methods in net.shibboleth.idp.plugin.authn.webauthn.storage.impl that return StorageServiceCredentialRepositoryFactory.AcceleratorType
Modifier and Type
Method
Description
`StorageServiceCredentialRepositoryFactory.AcceleratorType`
StorageServiceCredentialRepositoryFactory.`getDefaultAcceleratorType()`
Get the default accelerator type to use if the lookup strategies are not set.
`static StorageServiceCredentialRepositoryFactory.AcceleratorType`
StorageServiceCredentialRepositoryFactory.AcceleratorType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static StorageServiceCredentialRepositoryFactory.AcceleratorType[]`
StorageServiceCredentialRepositoryFactory.AcceleratorType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in net.shibboleth.idp.plugin.authn.webauthn.storage.impl with parameters of type StorageServiceCredentialRepositoryFactory.AcceleratorType
Modifier and Type
Method
Description
`void`
StorageServiceCredentialRepositoryFactory.`setDefaultAcceleratorType(StorageServiceCredentialRepositoryFactory.AcceleratorType type)`
Set the default accelerator type to use if the lookup strategies are not set.